Skip to main content
POST
/
social
/
reviews
/
{id}
/
responses
Publish a reply to a review
curl --request POST \
  --url https://api.app.hrizn.io/v1/public/social/reviews/{id}/responses \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "text": "<string>",
  "response_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.app.hrizn.io/v1/public/social/reviews/{id}/responses"

payload = {
    "text": "<string>",
    "response_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({text: '<string>', response_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};

fetch('https://api.app.hrizn.io/v1/public/social/reviews/{id}/responses', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({text: '<string>', response_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};

fetch('https://api.app.hrizn.io/v1/public/social/reviews/{id}/responses', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.app.hrizn.io/v1/public/social/reviews/{id}/responses",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'text' => '<string>',
    'response_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": {
    "response_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "posted"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "keyword: Required",
    "details": {},
    "request_id": "<string>"
  }
}
Publish a reply to a review. Provide text to post a new reply, or response_id to publish a previously generated draft. Scope required: reviews:write

Authorizations

X-API-Key
string
header
required

Your Hrizn API key (prefix hzk_)

Path Parameters

id
string<uuid>
required

Review id

Body

application/json

Provide either text (new reply) or response_id (existing draft).

text
string

Reply text to post

Maximum string length: 4096
response_id
string<uuid>

Id of a previously generated draft to publish

Response

Reply published

data
object
Last modified on June 30, 2026